New Host - ERROR: Attempt to remove nonexistent client certificate
Description

Good morning together,

i have an issue in foreman that new created hosts i deploy on foreman-vmware raising an Error in the logs.

30.12.2016, 08:10:59     ERROR     Attempt to remove nonexistent client certificate for testvm01.m

y-domain.de 

30.12.2016, 08:11:04     ERROR     Attempt to remove nonexistent client certificate for testvm01.m

y-domain.de 

30.12.2016, 08:11:32     ERROR     Attempt to remove nonexistent client certificate for testvm01.m

y-domain.de

 This message comes multiple times. After a while, the build token turns red.

On the puppet agent side, there is no error. It sends fully clean reports. I also need multiple times to delete a host. The first time, i get

always this error:

Oops, we're sorry but something went wrong Failed to destroy the record

 The puppetmaster is a fresh installation. I have follow the installation instructions in the documentation.

Here some details:

- Foreman 1.13.2

- Puppet 4.8

- deployment over foreman-vmware

- the nodes are in most cases windows agents

History

#2 - 01/03/2017 03:26 AM - Dominic Cleal

- Category set to PuppetCA

- Status changed from New to Need more information

- Priority changed from High to Normal

This error message is harmless, it can be ignored. Foreman will attempt to delete any pre-existing Puppet certificates to ensure there won't be any

name conflict when the new host's certificate is created. If it didn't exist before, you'd get this harmless message.

I'm not sure that it should be "ERROR" level though - what log is that line from exactly, and can you provide more context to it? I don't recognise the

format.

Your host deletion issue is likely entirely unrelated, please file a new bug with the corresponding logs.

#3 - 05/17/2017 03:55 PM - Anonymous

- Status changed from Need more information to Rejected
